Package org.apache.ignite.internal.managers.encryption

## Interface EncryptionCacheKeyProvider

All Known Implementing Classes:
  `GridEncryptionManager`

    public interface EncryptionCacheKeyProvider

Provider for cache's encryption keys.

### Method Summary

All Methods Instance Methods Abstract Methods
`@Nullable GroupKey` `getActiveKey​(int grpId)` Returns group encryption key, that was set for writing.
`@Nullable GroupKey` `groupKey​(int grpId, int keyId)` Returns group encryption key with specified ID.

### Method Detail

#### getActiveKey

    @Nullable
    @Nullable GroupKey getActiveKey​(int grpId)

Returns group encryption key, that was set for writing.

Parameters:
  `grpId` - Cache group ID.
Returns:
  Group encryption key with ID, that was set for writing.

#### groupKey

    @Nullable
    @Nullable GroupKey groupKey​(int grpId,
                                int keyId)

Returns group encryption key with specified ID.

Parameters:
  `grpId` - Cache group ID.
  `keyId` - Encryption key ID.
Returns:
  Group encryption key.